Subject: [Sipping] Re: [Sipping] dialog in conference server

From: "[email-masked]" <[email-masked]>
Date: Fri, 8 Feb 2002 09:43:56 +0100

>I'm implementing a Dial-in conference server.
this server, like explained in the draft-khartabil-sip-conferencing-
00.txt (conferencing using SIP), "handles REGISTER, SUBSCRIBE for 
partecipants event and sends NOTIFY".

Well, the issue is the following one:
Must these requests, exchanged between the server and the same 
conference partecipant, have the same Call-ID or not?
In other words, during the following scenario:

      CP              CPS
       |--REGISTER---->|
       |<---200 OK-----|
       |--SUBSCRIBE--->|
       |<---200 OK-----|
       |<---NOTIFY-----|
       |-----200 OK--->|
must the REGISTER, SUBSCRIBE and NOTIFY requests have the same Call-ID?
Is it mandatory or not? 
Thanks, Pasquale

Jonathan Rosenberg wrote:

The question cannot be answered without more information on what
> conference model you are talking about, and which message exchanges. 
> 
> -Jonathan R.
> 
> [email-masked] wrote:
> > 
> > hi,
> > 
> > I'm implementing a conference server and I have the following questi
on:
> > 
> > in a presence server, refresh and NOTIFY requests have the same dial
og
> > of the SUBSCRIBE requests, particularly the same Call-ID...
> > is it the same in a conference server, too?
> > Is it mandatory or not?
> > 
> > Regards, Pasquale
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP